/*************************************************************
*	PROGETTO LABIRINTO
*
* nome file: <coda.h>
*
* Autori:
* Thomas Carrabs
* Roberto Pisoni
*
* Progetto realizzato per l'esame di Geometria Computazionale
* e di Informatica Grafica presso il Dipartimento di Scienze
* dell'Informazione dell'universit Statale di Milano
*
* Tutto il codice  distribuito sotto licenza Gnu/GPL
* http://www.gnu.org/copyleft/gpl.html
* una copia della licenza si trova nella cartella License del
* Progetto
*
*************************************************************/

struct coda_cella{
	int id;				//id cella
	struct coda_cella *next;	//ptr cella successiva
};

struct coda {
	int ctr;			//contatore nro elementi nello coda
	struct coda_cella *top;		//puntatore elemento alla testa della coda
	struct coda_cella *fondo;	//puntatore elemento alla fine della coda
};

typedef struct coda coda;

void creaCoda(coda *coda);			//crea la coda
void mettiCoda(coda *coda, cella *pcella);	//mette un elemento nella coda	
int togliCoda(coda *coda);			//toglie un elemento dalla coda

